function checkAll(){
  with(document.myform)    //此处IdcAgentForm为JSP页面中Form的name
  {
    if(checkall.checked==true){                //全选 复选框被选中
       for(var i=0;i<length;i++){
          if(elements[i].type=="checkbox")     //表单中的元素，如果是复选框
             elements[i].checked=true;         //选中
       }
     }else{                                    //全选 复选框未被选中
       for(var i=0;i<length;i++){
          if(elements[i].type=="checkbox")
             elements[i].checked=false;   //设为不可用
       }
    }
  }
}
//===========================================
//显示隐藏
//===========================================
function showHideBlock(s)
{
    if(eval("document.all." + s + ".style.display == \"none\"")){
	    eval("document.all." + s + ".style.display = \"block\"");
	}
	else{
	    eval("document.all." + s + ".style.display = \"none\"");	
	}
}
//===========================================
//只允许数字
//===========================================
	function onlyNum()
	{ var keys=event.keyCode
	if (!((keys>=48&&keys<=57)||(keys>=96&&keys<=105)
		||(keys==8)||(keys==46)||(keys==37)||(keys==39)||(keys==13)||(keys==229)
		))
		event.returnValue=false;} 
//===========================================
//按回车键光标下移
//===========================================
	function SubmitKeyClick() 
	{    
	 if (window.event.keyCode == 13) //enter键
	 {        
		  window.event.keyCode=9;  //tab键
	 }
	}
//==========================================
//zjm:弹出窗口
//=========================================
function  OpenPopWin(Url,wd,ht)
{
	showModalDialog(Url,window,'titlebar:0;toolbar:0;status:0;help:0;scroll:0;resizable:1;center:1;dialogWidth:'+wd+'px;dialogHeight:'+ht+'px')
}
//==========================================
//加载页面
//=========================================
function LoadFinish(){
document.all('LoadProcess').style.visibility = "hidden";
}
	//使用onKeydown='onlyNum();'屏蔽掉非数字输入
function onlyNum()
{ var keys=event.keyCode
if (!((keys>=48&&keys<=57)||(keys>=96&&keys<=105)
	||(keys==8)||(keys==46)||(keys==37)||(keys==39)||(keys==13)||(keys==229)
	))
event.returnValue=false;} 